#pragma once

#include "AggreGateException.h"

class SyntaxErrorException : public AggreGateException
{
public:
    SyntaxErrorException(const AgString& message) : AggreGateException(message) {}
    SyntaxErrorException(const AgString& message, const AgString& details) : AggreGateException(message, details) {}
};
